---
title: Update content
slug: content-recommendations/api/update-content
docTags: 
createdAt: 2026-09-02T16:24:40.465Z
---

{
  "id": "qxQpdPE4evkN7VttG_3HQ",
  "type": "api-oas-v2",
  "data": {
    "method": "PATCH",
    "url": "https://api.usea01.idio.episerver.net/1.0/content/{id}",
    "servers": [
      {
        "url": "https://{hostname}/1.0/content/{id}",
        "description": "Primary API server",
        "variables": {
          "hostname": {
            "default": "api.usea01.idio.episerver.net",
            "enum": [
              "api.apac01.idio.episerver.net",
              "api.caea01.idio.episerver.net",
              "api.emea01.idio.episerver.net",
              "api.usea01.idio.episerver.net"
            ]
          }
        }
      }
    ],
    "name": "Update content",
    "description": "Update specific fields of a content item. Only 'Approved' and 'Featured' fields can be modified.",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "id",
          "type": "integer",
          "example": 101,
          "description": "Unique identifier of the content item."
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "object",
          "description": "Map of fields to update",
          "customType": "ContentItemPartial",
          "schema": [
            {
              "name": "title",
              "kind": "optional",
              "type": "string",
              "description": "Title of the content item."
            },
            {
              "name": "abstract",
              "kind": "optional",
              "type": "string",
              "description": "Short summary or abstract of the content."
            },
            {
              "name": "featured",
              "kind": "optional",
              "type": "boolean",
              "description": "Indicates whether the content is featured."
            },
            {
              "name": "approved",
              "kind": "optional",
              "type": "string<approved | unapproved | binned>",
              "description": "Approval status of the content.",
              "enum": [
                "approved",
                "unapproved",
                "binned"
              ]
            },
            {
              "name": "read",
              "kind": "optional",
              "type": "boolean",
              "description": "Whether the content is marked as read."
            },
            {
              "name": "published",
              "kind": "optional",
              "type": "string<date-time>",
              "description": "Date and time when the content was published.",
              "format": "date-time"
            },
            {
              "name": "original_url",
              "kind": "optional",
              "type": "string<url>",
              "description": "Original source URL of the content.",
              "format": "url"
            },
            {
              "name": "content",
              "kind": "optional",
              "type": "string",
              "description": "<p>Full content body (if available).</p>"
            }
          ],
          "modelRef": "#/components/schemas/ContentItemPartial",
          "complexItems": [
            {
              "name": "object",
              "schema": [
                {
                  "name": "title",
                  "kind": "optional",
                  "type": "string",
                  "description": "Title of the content item."
                },
                {
                  "name": "abstract",
                  "kind": "optional",
                  "type": "string",
                  "description": "Short summary or abstract of the content."
                },
                {
                  "name": "featured",
                  "kind": "optional",
                  "type": "boolean",
                  "description": "Indicates whether the content is featured."
                },
                {
                  "name": "approved",
                  "kind": "optional",
                  "type": "string<approved | unapproved | binned>",
                  "description": "Approval status of the content.",
                  "enum": [
                    "approved",
                    "unapproved",
                    "binned"
                  ]
                },
                {
                  "name": "read",
                  "kind": "optional",
                  "type": "boolean",
                  "description": "Whether the content is marked as read."
                },
                {
                  "name": "published",
                  "kind": "optional",
                  "type": "string<date-time>",
                  "description": "Date and time when the content was published.",
                  "format": "date-time"
                },
                {
                  "name": "original_url",
                  "kind": "optional",
                  "type": "string<url>",
                  "description": "Original source URL of the content.",
                  "format": "url"
                }
              ],
              "modelRef": "#/components/schemas/ContentItemMinimal",
              "customType": "ContentItemMinimal"
            },
            {
              "name": "object",
              "schema": [
                {
                  "name": "content",
                  "kind": "optional",
                  "type": "string",
                  "description": "<p>Full content body (if available).</p>"
                }
              ],
              "modelRef": "#/components/schemas/ContentItemContent",
              "customType": "ContentItemContent"
            }
          ],
          "complexType": "allOf",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "key",
          "name": "key",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>API key required for authentication. Must be provided as a query parameter, for example, <code>?key=YOUR_API_KEY</code>.</p>",
          "in": "query"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Confirmation of successful update.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"message\":\"Content updated successfully\"}",
            "description": "Generic message response object returned by the API.",
            "customType": "Message",
            "schema": [
              {
                "name": "message",
                "kind": "required",
                "type": "string",
                "description": "The message content.",
                "example": "User updated successfully."
              }
            ],
            "modelRef": "#/components/schemas/Message",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "Content does not exist",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "r8excmpSFP9Ey7fgxCsQo",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request PATCH \\\n     --url https://api.usea01.idio.episerver.net/1.0/content/{id} \\\n     --header 'accept: application/json'"
        },
        {
          "id": "qq_Owfv_MOP5dhB0L_9jM",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'PATCH',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.usea01.idio.episerver.net/1.0/content/{id}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "wcgzv3imZp1v9cRcYprAG",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.usea01.idio.episerver.net/1.0/content/{id}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Patch.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "n4lBpyIc1s4cgpo_8C85l",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.usea01.idio.episerver.net/1.0/content/{id}\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"PATCH\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "r8excmpSFP9Ey7fgxCsQo"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// Confirmation of successful update.\n{\n  \"message\": \"User updated successfully.\"\n}"
        },
        {
          "id": "response-1-404",
          "language": "404",
          "code": "// Content does not exist\n"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}